[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiMatchText

Check whether a string occurs in an array of strings, disregarding case.

## Declaration

Source position: strutils.pp line 34

`function AnsiMatchText(`
`const AText: string;`
`const AValues: array of string`
`):Boolean;`

## Arguments

`AText` |  | String to check for
`AValues` |  | Array of string values to search in

## Function result

True if the value appears in the array, False if not.

## Description

AnsiIndexStr matches AText against each string in AValues. If a match is found, it returns True, otherwise False is returned. The strings are matched ignoring case.

This function simply calls AnsiIndexText and checks whether it returns -1 or not.

Documentation generated on: Feb 26 2014